# RUB Login

Login helper for the form at https://login.rz.rub.de/

Since the internet in my university and dormitory requires a login via the form on https://login.rz.rub.de/, I tried to
automate that task. The tool parses the login mask and sends a login request using the supplied username and password.
The tool also supports logging out but I have never needed that feature.

The parsing is done using [html5ever](https://github.com/servo/html5ever). While it should also be possible using simple
RegExes or even string operations, I thought it would be fun to properly parse the website.

Nothing more to say.

## License

This project is licensed under the [WTFPL](./LICENSE).
